<?
require'../config.php';
$align='left';
$title='Анкета';
aut();
head();
who_add(0,'enter');


if(!isset($_GET['nick']) && isset($_SESSION['nick']))$nick = check($_SESSION['nick']);
else{ $nick = check($_GET['nick']);
$_SESSION['nick']=$_GET['nick'];
}
if (!user($nick))echo 'Такого юзера нет!<br />';
else{
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".user_inf($nick)."'"));
if (($inf[level]>$user[level])||$user[level]==$inf[level] && $user[id]!=$inf[id])echo 'Доступ закрыт!<br />';
else{
switch($mod) {

case 'photo':

if (empty($act)){

echo 'Размер загружаемого фото не должен привышать '.$set['size_photo'].' кб. Форматы: gif, jpg, jpeg, png, bmp.<br/>';
if ($_GET['err']==1)echo '<b>Недопустимое расширение файла!</b><br />';
if ($_GET['err']==2)echo '<b>Размер файла не должен превышать '.$set['size_photo'].' кб.</b><br />';





echo '<form ENCTYPE="multipart/form-data" action="upload?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo '<b>Прикрепить фотку:</b><br/>';
echo '<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
<input type="submit" class="ibutton"  value="Отправить">
</form><br/>';

}else{

if(!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";

$pictures = array('.gif', '.jpg', '.jpeg', '.bmp', '.png');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
$imageinfo = getimagesize($_FILES['file']['tmp_name']);
if($imageinfo['mime'] != 'image/gif' and $imageinfo['mime'] != 'image/jpeg' and $imageinfo['mime'] != 'image/bmp' and $imageinfo["mime"] != 'image/png') 
{
	{header ('Location: upload?mod='.$mod.'&err=1&'.SID);exit;}
}
$fnames=$_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")){$error = '<b>Недопустимое расширение файла!</b><br />';}

if(!in_array($ext, $pictures)){header ('Location: upload?mod='.$mod.'&err=1&'.SID);exit;}
if($_FILES['file']['size'] > (1024 * $set['size_photo'])) {header ('Location: upload?mod='.$mod.'&err=2&'.SID);exit;}

$foto = "files/photos/photo_".$inf['id'].$ext."";

unlink (H.$inf['photo'].'');

@copy($_FILES['file']['tmp_name'], H.$foto);
@chmod(H.basename($foto), 0644);
@$db->sql_query ("Update users set photo='".$foto."', vote_photo='0' where id ='".$inf['id']."'");
@$db->sql_query ("Delete from golos where user ='".$inf['id']."'");

header ('Location: profile?mod=photo&ok=add&'.SID);exit;
}

break;

}
}
}
echo gb.'<a href="index?mod=photo">Меню фото</a>'.div;
echo gb.'<a href="index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>